=== docs/CMakeLists.txt ===
FIND_PROGRAM(SPHINXBUILD sphinx-build)
IF(SPHINXBUILD)
    SET(ALLSPHINXOPTS -q -D latex_paper_size=a4)
    ADD_CUSTOM_TARGET(doc_html
        COMMAND ${SPHINXBUILD} -b html ${ALLSPHINXOPTS} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR}/doc/html
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        )
    ADD_CUSTOM_TARGET(doc_onehtml
        COMMAND ${SPHINXBUILD} -b singlehtml ${ALLSPHINXOPTS} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR}/doc/single
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        )
    ADD_CUSTOM_TARGET(doc_man
        COMMAND ${SPHINXBUILD} -b man ${ALLSPHINXOPTS} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR}/doc/man
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        )
    ADD_CUSTOM_TARGET(doc_clean
	COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_BINARY_DIR}/doc"
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        )
    ADD_CUSTOM_TARGET(doc ALL DEPENDS doc_man doc_onehtml)
    INSTALL(FILES ${CMAKE_BINARY_DIR}/doc/man/axe.1 DESTINATION "share/man/man1" RENAME "axe-demux.1")
    SET_DIRECTORY_PROPERTIES(PROPERTY ADDITIONAL_MAKE_CLEAN_FILES doc/)
ELSE()
    MESSAGE(WARNING "Cannot build documenation, sphinx isn't installed")
ENDIF()
