=== debian/changelog ===
axe-demultiplexer (0.3.1-3) unstable; urgency=medium

  * Syntax fix for autopkgtest

 -- Kevin Murray <spam@kdmurray.id.au>  Sat, 06 Feb 2016 10:26:55 +0100

axe-demultiplexer (0.3.1-2) unstable; urgency=medium

  * Add autopkgtest

 -- Kevin Murray <spam@kdmurray.id.au>  Fri, 05 Feb 2016 20:27:46 +0100

axe-demultiplexer (0.3.1-1) unstable; urgency=medium

  * Imported Upstream version 0.3.1 (Closes: #808570)
  * Change arch to any, non 64 bit archs should work now

 -- Kevin Murray <spam@kdmurray.id.au>  Mon, 21 Dec 2015 14:31:47 +1100

axe-demultiplexer (0.3.0+dfsg-2) unstable; urgency=medium

  * Depend on GSL2 for the ongoing GSL transition (Closes: #807184)

 -- Kevin Murray <spam@kdmurray.id.au>  Mon, 07 Dec 2015 08:37:49 +1100

axe-demultiplexer (0.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release, refresh patches (Closes: #801900)
  * Split libqes to separate package
  * Restrict arch to amd64 & i386 (Closes: #801696)
  * Correct license details in d/copyright
  * Don't use bundled copy of GSL, build-dep on libgsl0-dev

 -- Kevin Murray <spam@kdmurray.id.au>  Tue, 01 Dec 2015 09:39:20 +1100

axe-demultiplexer (0.2.8-1) unstable; urgency=medium

  * Initial debian release. (Closes: #794088)

 -- Kevin Murray <spam@kdmurray.id.au>  Mon, 12 Oct 2015 16:54:45 +1100
