=== debian/control ===
Source: axe-demultiplexer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
               cmake,
               zlib1g-dev,
               libqes-dev,
               libgsl-dev,
               python-sphinx,
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/axe-demultiplexer.git
Vcs-Git: https://anonscm.debian.org/debian-med/axe-demultiplexer.git
Homepage: https://github.com/kdmurray91/axe

Package: axe-demultiplexer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Trie-based DNA sequencing read demultiplexer
 Axe very rapidly selects the optimal barcode present in a sequence read, even
 in the presence of sequencing errors. The algorithm is able to handle
 combinatorial barcoding, barcodes of differing length, and several mismatches
 per barcode.
