=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/axe-demultiplexer_$1.tar.gz/" \
  https://github.com/kdmurray91/axe/tags .*/v?(\d\S*)\.tar\.gz
