=== debian/changelog ===
axe-demultiplexer (0.3.2+dfsg1-1build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:08:12 +0000

axe-demultiplexer (0.3.2+dfsg1-1) unstable; urgency=medium

  [ Kevin Murray ]
  * New upstream version 0.3.2
  * Bump standards-version to 3.9.8
  * Update uploader email

  [ Andreas Tille ]
  * debhelper 10 (makes --parallel in d/rules superfluous)
  * d/watch: version=4
  * hardening=+all
  * Install test script also as user accessible test

 -- Kevin Murray <kdmfoss@gmail.com>  Thu, 01 Dec 2016 12:32:30 +1100

axe-demultiplexer (0.3.1-4) unstable; urgency=low

  [ Kevin Murray ]
  * Fix Vcs-git URL

  [ Mattia Rizzolo ]
  * debian/rules: drop useless include
  * debian/control: Bump Standards-Version to 3.9.7, no changes needed

 -- Kevin Murray <kdmfoss@gmail.com>  Wed, 02 Mar 2016 14:20:13 +1100
