=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: axe-demultiplexer
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Kevin Murray <spam@kdmurray.id.au>
+Uploaders: Kevin Murray <kdmfoss@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10),
                cmake,
                zlib1g-dev,
                libqes-dev,
                libgsl-dev,
                python-sphinx,
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/axe-demultiplexer.git
-Vcs-Git: https://anonscm.debian.org/debian-med/axe-demultiplexer.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-med/axe-demultiplexer.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/axe-demultiplexer.git
 Homepage: https://github.com/kdmurray91/axe
 
 Package: axe-demultiplexer
