=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

%:
	dh $@ --buildsystem=cmake

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/tests
	cp -a tests/data debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/tests
