=== debian/changelog ===
axe-demultiplexer (0.3.3+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fix for FTBFS with CMake 4. Closes: #1112715.

  [ Santiago Vila ]
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * d/salsa-ci.yml: Use the simplified version.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Oct 2025 13:20:00 +0200

axe-demultiplexer (0.3.3+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1043648
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 22:32:23 +0100

axe-demultiplexer (0.3.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * Fix FTCBFS: Annotate python3-sphinx dependency :native.
    - Thank you, Helmut Grohne (Closes: #982608)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 14 Feb 2021 21:04:35 +0530

axe-demultiplexer (0.3.3+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * rename debian/NEWS.Debian debian/NEWS (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 11:36:34 +0100

axe-demultiplexer (0.3.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Build-Depends: s/python-sphinx/python3-sphinx/
  * Do not parse d/changelog
  * Enable running tests using Python3 instead of Python2

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2018 15:24:43 +0200
