=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Kevin Murray <kdmfoss@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                zlib1g-dev,
                libqes-dev,
                libgsl-dev,
-               python-sphinx,
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/axe-demultiplexer.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/axe-demultiplexer.git
+               python3-sphinx:native
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/axe-demultiplexer
+Vcs-Git: https://salsa.debian.org/med-team/axe-demultiplexer.git
 Homepage: https://github.com/kdmurray91/axe
 
 Package: axe-demultiplexer
