=== debian/tests/control ===
Tests: gbs
Restrictions: allow-stderr
